// BAMBE.h : main header file for the BAMBE application
//

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#include "resource.h"       // main symbols
#include "globalvars.h"

/////////////////////////////////////////////////////////////////////////////
// CBAMBEApp:
// See BAMBE.cpp for the implementation of this class
//

class CBAMBEApp : public CWinApp
{
public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	CMultiDocTemplate* m_pTemplateOut;
	CMultiDocTemplate* m_pTemplateTop;
	CMultiDocTemplate* m_pTemplateKap;
	CMultiDocTemplate* m_pTemplateKap2;
	CMultiDocTemplate* m_pTemplateLpd;
	CMultiDocTemplate* m_pTemplateLpd2;
	CMultiDocTemplate* m_pTemplateTre;
	CMultiDocTemplate* m_pTemplateKar;
	CMultiDocTemplate* m_pTemplateSum;
	CMultiDocTemplate* m_pTemplateEst;
	CMultiDocTemplate* m_pTemplateTheta;
	CMultiDocTemplate* m_pTemplateFile;
	CMultiDocTemplate* m_pTemplateTtp;
	CMultiDocTemplate* m_pTemplateGam;

	CBAMBEApp();

	CWnd* pMain;
	GlobalVars globals;
	void UpdateStatusBar(int);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBAMBEApp)
	public:
	virtual BOOL InitInstance();
	virtual int ExitInstance();
	//}}AFX_VIRTUAL

// Implementation

	//{{AFX_MSG(CBAMBEApp)
	afx_msg void OnAppAbout();
	afx_msg void OnOutputDisplayout();
	afx_msg void OnUpdateOutputDisplayout(CCmdUI* pCmdUI);
	afx_msg void OnOutputSummarize();
	afx_msg void OnUpdateOutputSummarize(CCmdUI* pCmdUI);
	afx_msg void OnOutputEstimate();
	afx_msg void OnUpdateOutputEstimate(CCmdUI* pCmdUI);
	afx_msg void OnOutputDisOutFile();
	afx_msg void OnUpdateOutputDisOutFile(CCmdUI* pCmdUI);
	afx_msg void OnCloseallwins();
	afx_msg void OnUpdateCloseallwins(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


/////////////////////////////////////////////////////////////////////////////
