#if !defined(AFX_DISPLAYPARAM_H__C25CF480_0ECE_11D3_B295_006097D55B13__INCLUDED_)
#define AFX_DISPLAYPARAM_H__C25CF480_0ECE_11D3_B295_006097D55B13__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// DisplayParam.h : header file
//
#define HIDD_DIALOG_CANCEL 9
#define HIDD_OK 63
#define HIDD_BROWSE 25

#define HIDC_PARAM_FILE 50
#define HIDC_TREE_FILE 51
#define HIDC_OUT_WINDOWS 52
#define HIDC_DISPLAY_INT 53
#define HIDC_CK_FIRST 54
#define HIDC_CK_LAST 55
#define HIDC_BEGIN_CYCLE 56
#define HIDC_END_CYCLE 57

/////////////////////////////////////////////////////////////////////////////
// DisplayParam dialog

class DisplayParam : public CDialog
{
// Construction
public:
	DisplayParam(CWnd* pParent = NULL);   // standard constructor
	void ChangeStatus(BOOL);

// Dialog Data
	//{{AFX_DATA(DisplayParam)
	enum { IDD = IDD_DISPLAY_PARAMS };
	int		m_begin_cycle;
	int		m_end_cycle;
	BOOL	m_ck_KAP;
	BOOL	m_ck_KAR;
	BOOL	m_ck_LPD1;
	BOOL	m_ck_LPD2;
	BOOL	m_ck_TAR;
	BOOL	m_ck_TOP;
	BOOL	m_ck_THETA;
	CString	m_param_file;
	int		m_display_int;
	BOOL	m_ck_first;
	BOOL	m_ck_last;
	CString	m_tree_file;
	int		m_tree_format;
	BOOL	m_ck_max_cycle;
	int		m_max_cycle;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(DisplayParam)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(DisplayParam)
	afx_msg void OnBrowse();
	virtual BOOL OnInitDialog();
	afx_msg void OnDisplayInt();
	afx_msg void OnRadio2();
	virtual void OnOK();
	afx_msg void OnBrowse2();
	afx_msg void OnCkLast();
	afx_msg void OnCkFirst();
	afx_msg void OnOutTop();
	afx_msg void OnOutputPar();
	afx_msg void OnContextMenu(CWnd* pWnd, CPoint point);
	afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
	afx_msg void OnCkMaxCycle();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DISPLAYPARAM_H__C25CF480_0ECE_11D3_B295_006097D55B13__INCLUDED_)
