// CKarFrm.cpp : implementation of the CKarFrame class
//	Acceptance Rates

#include "stdafx.h"
#include "BAMBE.h"

#include "KarFrm.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

extern CBAMBEApp* pBApp;
/////////////////////////////////////////////////////////////////////////////
// CKarFrame

IMPLEMENT_DYNCREATE(CKarFrame, CMDIChildWnd)

BEGIN_MESSAGE_MAP(CKarFrame, CMDIChildWnd)
	//{{AFX_MSG_MAP(CKarFrame)
	ON_WM_SIZE()
	ON_WM_SETFOCUS()
	ON_WM_MOVE()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CKarFrame construction/destruction

CKarFrame::CKarFrame()
{
	// TODO: add member initialization code here
	
}

CKarFrame::~CKarFrame()
{
}

BOOL CKarFrame::PreCreateWindow(CREATESTRUCT& cs)
{
	LONG height, width;
	RECT crect;
	BOOL isOk = ::SystemParametersInfo(SPI_GETWORKAREA, 0, &crect, 0);
	if (isOk) {
		height = crect.bottom - crect.top;
		width = crect.right - crect.left;
	}

	int ydown = ::GetSystemMetrics(SM_CYMINIMIZED);
	int menusz = ::GetSystemMetrics(SM_CYMENU);

	if (isOk) {
		cs.cx = width / 2 - 5;	// was 150
	}
	else cs.cx = 390;

	cs.cy = 220;	// was 210

	cs.x = width / 2;		// was 380

	int mult = 2;	// no windows above it
	if (pBApp->globals.ShowKAP && pBApp->globals.ShowTheta)	// 2 windows above it
		mult = 4;
	else if (pBApp->globals.ShowKAP)	// one window above it
		mult = 3;

	if (height >= (220*2 + mult*ydown + menusz + 50)) {
			cs.y = 220 + mult*ydown;		// was 200
	}
	else {
		cs.y = crect.bottom - menusz - 50 - 220 - ydown;
	}

//	cs.style &= ~WS_SIZEBOX;  //turns off the sizing option
	cs.style &= ~WS_MAXIMIZEBOX;  //turns off the maximize box

	return CMDIChildWnd::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// CKarFrame diagnostics

#ifdef _DEBUG
void CKarFrame::AssertValid() const
{
	CMDIChildWnd::AssertValid();
}

void CKarFrame::Dump(CDumpContext& dc) const
{
	CMDIChildWnd::Dump(dc);
}

#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CKarFrame message handlers

void CKarFrame::OnSize(UINT nType, int cx, int cy) 
{
	CMDIChildWnd::OnSize(nType, cx, cy);
	pBApp->globals.UpdateAllWins();	
}

void CKarFrame::OnSetFocus(CWnd* pOldWnd) 
{
	CMDIChildWnd::OnSetFocus(pOldWnd);
	if (pBApp->globals.KarOpen)
		::PostMessage(pBApp->globals.g_KarHwnd, WM_USERINVALKAR, 0,0);
	
}

void CKarFrame::OnMove(int x, int y) 
{
	CMDIChildWnd::OnMove(x, y);
	pBApp->globals.UpdateAllWins();	
}
