// CKap2Frm.cpp : implementation of the CKap2Frame class
//

#include "stdafx.h"
#include "BAMBE.h"
#include "Kap2Frm.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

extern CBAMBEApp* pBApp;
/////////////////////////////////////////////////////////////////////////////
// CKap2Frame

IMPLEMENT_DYNCREATE(CKap2Frame, CMDIChildWnd)

BEGIN_MESSAGE_MAP(CKap2Frame, CMDIChildWnd)
	//{{AFX_MSG_MAP(CKap2Frame)
	ON_WM_SIZE()
	ON_WM_SETFOCUS()
	ON_WM_MOVE()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CKap2Frame construction/destruction

CKap2Frame::CKap2Frame()
{
}

CKap2Frame::~CKap2Frame()
{
}

BOOL CKap2Frame::PreCreateWindow(CREATESTRUCT& cs)
{
	LONG height, width;
	RECT crect;
	BOOL isOk = ::SystemParametersInfo(SPI_GETWORKAREA, 0, &crect, 0);
	if (isOk) {
		height = crect.bottom - crect.top;
		width = crect.right - crect.left;
	}

	int ydown = ::GetSystemMetrics(SM_CYMINIMIZED);
	int menusz = ::GetSystemMetrics(SM_CYMENU);

	if (isOk) {
		cs.cx = width / 2 - 5;
	}
	else cs.cx = 390;

	cs.cy = 220;

	cs.x = width / 2;		// was 530

	if (height >= (220*2 + 3*ydown + menusz + 50))
		cs.y = 220 + 2*ydown;		// was 200
	else 
		cs.y = crect.bottom - menusz - 50 - (220 + 2 * ydown);

//	cs.style &= ~WS_SIZEBOX;  //turns off the sizing option
	cs.style &= ~WS_MAXIMIZEBOX;  //turns off the maximize box

	return CMDIChildWnd::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// CKap2Frame diagnostics

#ifdef _DEBUG
void CKap2Frame::AssertValid() const
{
	CMDIChildWnd::AssertValid();
}

void CKap2Frame::Dump(CDumpContext& dc) const
{
	CMDIChildWnd::Dump(dc);
}

#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CKap2Frame message handlers

void CKap2Frame::OnSize(UINT nType, int cx, int cy) 
{
	CMDIChildWnd::OnSize(nType, cx, cy);
	pBApp->globals.UpdateAllWins();
}

void CKap2Frame::OnSetFocus(CWnd* pOldWnd) 
{
	CMDIChildWnd::OnSetFocus(pOldWnd);
	if (pBApp->globals.Kap2Open)
		::PostMessage(pBApp->globals.g_Kap2Hwnd, WM_USERINVALKAP2, 0,0);
}

void CKap2Frame::OnMove(int x, int y) 
{
	CMDIChildWnd::OnMove(x, y);
	pBApp->globals.UpdateAllWins();	
}
