// CKapFrm.cpp : implementation of the CKapFrame class
//	Acceptance Rates

#include "stdafx.h"
#include "BAMBE.h"

#include "KapFrm.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

extern CBAMBEApp* pBApp;
/////////////////////////////////////////////////////////////////////////////
// CKapFrame

IMPLEMENT_DYNCREATE(CKapFrame, CMDIChildWnd)

BEGIN_MESSAGE_MAP(CKapFrame, CMDIChildWnd)
	//{{AFX_MSG_MAP(CKapFrame)
	ON_WM_SIZE()
	ON_WM_SETFOCUS()
	ON_WM_MOVE()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CKapFrame construction/destruction

CKapFrame::CKapFrame()
{
	// TODO: add member initialization code here
	
}

CKapFrame::~CKapFrame()
{
}

BOOL CKapFrame::PreCreateWindow(CREATESTRUCT& cs)
{
	LONG height, width;
	RECT crect;
	BOOL isOk = ::SystemParametersInfo(SPI_GETWORKAREA, 0, &crect, 0);
	if (isOk) {
		height = crect.bottom - crect.top;
		width = crect.right - crect.left;
	}

	int ydown = ::GetSystemMetrics(SM_CYMINIMIZED);

	if (isOk) {
		cs.cx = width / 2 - 5;
	}
	else cs.cx = 390;	// was 150

	cs.cy = 220;	// was 210

	cs.x = width / 2;		// was 380
	cs.y = 0;		// was 200

//	cs.style &= ~WS_SIZEBOX;  //turns off the sizing option
	cs.style &= ~WS_MAXIMIZEBOX;  //turns off the maximize box

	return CMDIChildWnd::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// CKapFrame diagnostics

#ifdef _DEBUG
void CKapFrame::AssertValid() const
{
	CMDIChildWnd::AssertValid();
}

void CKapFrame::Dump(CDumpContext& dc) const
{
	CMDIChildWnd::Dump(dc);
}

#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CKapFrame message handlers

void CKapFrame::OnSize(UINT nType, int cx, int cy) 
{
	CMDIChildWnd::OnSize(nType, cx, cy);
	pBApp->globals.UpdateAllWins();	
}

void CKapFrame::OnSetFocus(CWnd* pOldWnd) 
{
	CMDIChildWnd::OnSetFocus(pOldWnd);
	
	if (pBApp->globals.KapOpen)
		::PostMessage(pBApp->globals.g_KapHwnd, WM_USERINVALKAP, 0,0);
}

void CKapFrame::OnMove(int x, int y) 
{
	CMDIChildWnd::OnMove(x, y);
	pBApp->globals.UpdateAllWins();
}
