// Lpd2Frm.cpp : implementation of the CLpd2Frame class
//

#include "stdafx.h"
#include "BAMBE.h"

#include "Lpd2Frm.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

extern CBAMBEApp* pBApp;
/////////////////////////////////////////////////////////////////////////////
// CLpd2Frame

IMPLEMENT_DYNCREATE(CLpd2Frame, CMDIChildWnd)

BEGIN_MESSAGE_MAP(CLpd2Frame, CMDIChildWnd)
	//{{AFX_MSG_MAP(CLpd2Frame)
	ON_WM_SIZE()
	ON_WM_SETFOCUS()
	ON_WM_MOVE()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CLpd2Frame construction/destruction

CLpd2Frame::CLpd2Frame()
{
}

CLpd2Frame::~CLpd2Frame()
{
}

BOOL CLpd2Frame::PreCreateWindow(CREATESTRUCT& cs)
{
	LONG height, width;
	RECT crect;
	BOOL isOk = ::SystemParametersInfo(SPI_GETWORKAREA, 0, &crect, 0);
	if (isOk) {
		height = crect.bottom - crect.top;
		width = crect.right - crect.left;
	}

	int ydown = ::GetSystemMetrics(SM_CYMINIMIZED);

	if (isOk) {
		cs.cx = width / 2 - 5;
	}
	else cs.cx = 390;	// was 150

	cs.cy = 220;		// was 210

	cs.x = width / 2;

	cs.y = ydown;

//	cs.style &= ~WS_SIZEBOX;  //turns off the sizing option
	cs.style &= ~WS_MAXIMIZEBOX;  //turns off the maximize box

//	cs.style = WS_CHILD | WS_VISIBLE | WS_OVERLAPPED | WS_CAPTION | WS_SYSMENU
//		| FWS_ADDTOTITLE | WS_THICKFRAME | WS_MINIMIZEBOX;

	return CMDIChildWnd::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// CLpd2Frame diagnostics

#ifdef _DEBUG
void CLpd2Frame::AssertValid() const
{
	CMDIChildWnd::AssertValid();
}

void CLpd2Frame::Dump(CDumpContext& dc) const
{
	CMDIChildWnd::Dump(dc);
}

#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CLpd2Frame message handlers

void CLpd2Frame::OnSize(UINT nType, int cx, int cy) 
{
	CMDIChildWnd::OnSize(nType, cx, cy);
	pBApp->globals.UpdateAllWins();	
}

void CLpd2Frame::OnSetFocus(CWnd* pOldWnd) 
{
	CMDIChildWnd::OnSetFocus(pOldWnd);
	
	if (pBApp->globals.Lpd2Open)
		::PostMessage(pBApp->globals.g_Lpd2Hwnd, WM_USERINVALLPD2, 0,0);	
}

void CLpd2Frame::OnMove(int x, int y) 
{
	CMDIChildWnd::OnMove(x, y);
	pBApp->globals.UpdateAllWins();		
}
