// LpdFrm.cpp : implementation of the CLpdFrame class
//

#include "stdafx.h"
#include "BAMBE.h"

#include "LpdFrm.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

extern CBAMBEApp* pBApp;
/////////////////////////////////////////////////////////////////////////////
// CLpdFrame

IMPLEMENT_DYNCREATE(CLpdFrame, CMDIChildWnd)

BEGIN_MESSAGE_MAP(CLpdFrame, CMDIChildWnd)
	//{{AFX_MSG_MAP(CLpdFrame)
	ON_WM_SIZE()
	ON_WM_SETFOCUS()
	ON_WM_MOVE()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CLpdFrame construction/destruction

CLpdFrame::CLpdFrame()
{
}

CLpdFrame::~CLpdFrame()
{
}

BOOL CLpdFrame::PreCreateWindow(CREATESTRUCT& cs)
{
	LONG height, width;
	RECT crect;
	BOOL isOk = ::SystemParametersInfo(SPI_GETWORKAREA, 0, &crect, 0);
	if (isOk) {
		height = crect.bottom - crect.top;
		width = crect.right - crect.left;
	}

	int ydown = ::GetSystemMetrics(SM_CYMINIMIZED);

	if (isOk) {
		cs.cx = width / 2 - 5;
	}
	else cs.cx = 390;	// was 150

	cs.cy = 220;		// was 210

	cs.x = width / 2;

	if (pBApp->globals.param_update_interval == 0) {
		cs.y = 220 + ydown;
	}
	else cs.y = ydown*2;


//	cs.style &= ~WS_SIZEBOX;  //turns off the sizing option
	cs.style &= ~WS_MAXIMIZEBOX;  //turns off the maximize box

//	cs.style = WS_CHILD | WS_VISIBLE | WS_OVERLAPPED | WS_CAPTION | WS_SYSMENU
//		| FWS_ADDTOTITLE | WS_THICKFRAME | WS_MINIMIZEBOX;

	return CMDIChildWnd::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// CLpdFrame diagnostics

#ifdef _DEBUG
void CLpdFrame::AssertValid() const
{
	CMDIChildWnd::AssertValid();
}

void CLpdFrame::Dump(CDumpContext& dc) const
{
	CMDIChildWnd::Dump(dc);
}

#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CLpdFrame message handlers

void CLpdFrame::OnSize(UINT nType, int cx, int cy) 
{
	CMDIChildWnd::OnSize(nType, cx, cy);
	pBApp->globals.UpdateAllWins();	
}

void CLpdFrame::OnSetFocus(CWnd* pOldWnd) 
{
	CMDIChildWnd::OnSetFocus(pOldWnd);
	if (pBApp->globals.LpdOpen)
		::PostMessage(pBApp->globals.g_LpdHwnd, WM_USERINVALLPD, 0,0);
}

void CLpdFrame::OnMove(int x, int y) 
{
	CMDIChildWnd::OnMove(x, y);
	pBApp->globals.UpdateAllWins();	
}
