// CTTPFrm.cpp : implementation of the CTTPFrame class
//

#include "stdafx.h"
#include "BAMBE.h"
#include "TTPFrm.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

extern CBAMBEApp* pBApp;
/////////////////////////////////////////////////////////////////////////////
// CTTPFrame

IMPLEMENT_DYNCREATE(CTTPFrame, CMDIChildWnd)

BEGIN_MESSAGE_MAP(CTTPFrame, CMDIChildWnd)
	//{{AFX_MSG_MAP(CTTPFrame)
	ON_WM_SIZE()
	ON_WM_SETFOCUS()
	ON_WM_MOVE()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CTTPFrame construction/destruction

CTTPFrame::CTTPFrame()
{
}

CTTPFrame::~CTTPFrame()
{
}

BOOL CTTPFrame::PreCreateWindow(CREATESTRUCT& cs)
{
	LONG height, width;
	RECT crect;
	BOOL isOk = ::SystemParametersInfo(SPI_GETWORKAREA, 0, &crect, 0);
	if (isOk) {
		height = crect.bottom - crect.top;
		width = crect.right - crect.left;
	}

	int ydown = ::GetSystemMetrics(SM_CYMINIMIZED);
	int menusz = ::GetSystemMetrics(SM_CYMENU);

	if (isOk) {
		cs.cx = width / 2 - 5;
	}
	else cs.cx = 390;

	cs.cy = 220;

	cs.x = width / 2;		// was 530

	if (height >= (220*2 + 3*ydown + menusz + 50))
		cs.y = 220 + 2*ydown;		// was 200
	else 
		cs.y = crect.bottom - menusz - 50 - (220 + 2 * ydown);

//	cs.style &= ~WS_SIZEBOX;  //turns off the sizing option
	cs.style &= ~WS_MAXIMIZEBOX;  //turns off the maximize box

	return CMDIChildWnd::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// CTTPFrame diagnostics

#ifdef _DEBUG
void CTTPFrame::AssertValid() const
{
	CMDIChildWnd::AssertValid();
}

void CTTPFrame::Dump(CDumpContext& dc) const
{
	CMDIChildWnd::Dump(dc);
}

#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CTTPFrame message handlers

void CTTPFrame::OnSize(UINT nType, int cx, int cy) 
{
	CMDIChildWnd::OnSize(nType, cx, cy);
	pBApp->globals.UpdateAllWins();
}

void CTTPFrame::OnSetFocus(CWnd* pOldWnd) 
{
	CMDIChildWnd::OnSetFocus(pOldWnd);
	if (pBApp->globals.TTPOpen)
		::PostMessage(pBApp->globals.g_TTPHwnd, WM_USERINVALTTP, 0,0);
}

void CTTPFrame::OnMove(int x, int y) 
{
	CMDIChildWnd::OnMove(x, y);
	pBApp->globals.UpdateAllWins();	
}
