#ifndef FILESHDR
#define FILESHDR

#include "runsettings.h"

#include <iostream.h>
#include <fstream.h>
#include <string.h>

class Files {
 public:
  Files(const RunSettings& rs) {
    openFile(rs,".lpd",flogp);
    openFile(rs,".par",fkappa);
    openFile(rs,".top",ftop);
    openFile(rs,".out",fout);
    openFile(rs,".tre",ftree);
  }
  ofstream flogp,fkappa,ftop,fout,ftree;
 private:
  void openFile(const RunSettings&,const char*,ofstream&);
};

#endif
