#ifndef GLOBALVARS
#define GLOBALVARS

#include "stdafx.h"
#include "logScrollView.h"

class GlobalVars {
public:
	GlobalVars();
	~GlobalVars();
	int CheckWindowStatus();
	void CloseAllWins();
	void UpdateAllWins();
	void EnableMaximize();
	void PauseLoop();
	BOOL IsValidFile(LPCSTR lpszFile);

	// Global Variables
	BOOL RunAvail;
	int DidRun, IsBurn;
	HWND g_OutHwnd, g_TopHwnd, g_KapHwnd, g_Kap2Hwnd, g_THETAHwnd;
	HWND g_LpdHwnd, g_Lpd2Hwnd, g_TreHwnd, g_KarHwnd, g_SUMHwnd;
	HWND g_BViewHwnd, g_ESTHwnd, g_FILEHwnd, g_TTPHwnd, g_GAMHwnd;

	int OutOpen, TopOpen, KapOpen, Kap2Open, SUMOpen,
		TreOpen, LpdOpen, Lpd2Open, KarOpen, THETAOpen,
		ESTOpen, FILEOpen, TTPOpen, GAMOpen;

	int go;

	BOOL IsStop, IsPause, DocIsOpen;

	int IsChange, initialized, modify, ulentered;

	int	firstModelParam, firstRun, firstTN, firstView, firstInitPi, firstTune;

	CLogScrollView* g_pView;
	CStringList *EstList, *fileList, *sumList;

	// Parameters for running the program
	unsigned int seed, seedValue;
	int model, mclock, burn_algorithm,
		main_algorithm, num_tags, num_categories, single_kappa;

	int param_update_interval, outgroup;

	int update_kappa, update_theta, update_pi, 
		update_gamma, update_ttp, estimate_pi;
	
	int burn, num_cycles;
	int newick_format, tune_interval;
	int use_beta;

	double input_kappa[10], input_theta[10], 
		input_gamma[20], input_ttp[10];

	double input_pia[10], input_pic[10], 
		input_pig[10], input_pit[10];

	double valley_win, kappa_win;
	double theta_const, pi_const;
	double ttp_tune, gamma_tune;
	double beta_tune;

	double max_depth;
	int sample_interval, window_interval;
	char tree_file[81], file_root[81], data_file[81];

	CDocTemplate* pTemplate;
	CWnd* pMainWnd;

	char category_list[257];	// MAX_LINE
	int categories[10];			// MAX_CATEGORIES
	CString userlist;		//char* userlist;
	int cat_list_val;
	int init_tree, init_tree_format;

	int ShowLPD1, ShowLPD2, ShowKAP, ShowKAR, 
		ShowTAR, ShowTOP, ShowTheta, ShowTTP, ShowGAM; 
	BOOL ShowOutput;
};

#endif