// FileRoot.cpp : implementation file
//

#include "stdafx.h"
#include "BAMBE.h"
#include "FileRoot.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

extern CBAMBEApp* pBApp;
/////////////////////////////////////////////////////////////////////////////
// CFileRoot dialog

CFileRoot::CFileRoot(CWnd* pParent /*=NULL*/)
	: CDialog(CFileRoot::IDD, pParent)
{
	//{{AFX_DATA_INIT(CFileRoot)
	m_file_root = _T("");
	//}}AFX_DATA_INIT
}


void CFileRoot::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFileRoot)
	DDX_Text(pDX, IDC_FILE_ROOT, m_file_root);
	DDV_MaxChars(pDX, m_file_root, 77);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CFileRoot, CDialog)
	//{{AFX_MSG_MAP(CFileRoot)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFileRoot message handlers


/////////////////////////////////////////////////////////////////////////////
// CFileExist dialog

CFileExist::CFileExist(CWnd* pParent /*=NULL*/)
	: CDialog(CFileExist::IDD, pParent)
{
	//{{AFX_DATA_INIT(CFileExist)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CFileExist::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFileExist)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CFileExist, CDialog)
	//{{AFX_MSG_MAP(CFileExist)
	ON_BN_CLICKED(IDC_NEW, OnNewRoot)
	ON_BN_CLICKED(IDC_OVERWRITE, OnOverwrite)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFileExist message handlers


int GetNewRoot(char *file_root)
{
	CFileRoot getroot;
	CFileExist printmssg;
	CString name;

	int ans = printmssg.DoModal();

	if (pBApp->globals.RunAvail)		// If we are in the dialog boxes, return a value
		if (ans == IDC_NEW) 
			return 0;
		else if (ans == IDCANCEL)
			return 3;
			
	if (ans == IDC_NEW) {				// else ask for a new root with a Dialog box
		if (getroot.DoModal() == IDOK) {
			strcpy(file_root, getroot.m_file_root);
			return 1;
		}
		else {
			name.Format("Stopping program execution...");
			AfxMessageBox (name, MB_OK, 0);
			return 0;
		}
	}

	if (ans == IDC_OVERWRITE) 
		return 2;
	else {
		name.Format("Stopping program execution...");
		AfxMessageBox (name, MB_OK, 0);
		return 0;
	}
}

void CFileExist::OnNewRoot() 
{
	EndDialog(IDC_NEW);	
}

void CFileExist::OnOverwrite() 
{
	EndDialog(IDC_OVERWRITE);	
}

