// MainFrm.h : interface of the CMainFrame class
//
/////////////////////////////////////////////////////////////////////////////

class CMainFrame : public CMDIFrameWnd
{
	DECLARE_DYNAMIC(CMainFrame)
public:
	CMainFrame();

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainFrame)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual LRESULT DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

public:
	CStatusBar  m_wndStatusBar;

protected:  // control bar embedded members
	CToolBar    m_wndToolBar;

// Generated message map functions
protected:
	//{{AFX_MSG(CMainFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnActivateApp(BOOL bActive, HTASK hTask);
	//}}AFX_MSG
	afx_msg LRESULT OnUserNewOUT(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnUserNewTOP(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnUserNewKAP(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnUserNewLPD(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnUserNewLPD2(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnUserNewTRE(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnUserNewKAP2(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnUserNewKAR(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnUserNewSUM(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnUserNewEST(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnUserNewTHE(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnUserNewFILE(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnUserNewTTP(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnUserNewGAM(WPARAM wParam, LPARAM lParam);

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
