// NewFile.cpp : implementation file
//

#include <ctype.h>
#include "stdafx.h"
#include "BAMBE.h"
#include "NewFile.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

extern CBAMBEApp* pBApp;
CString d_file, t_file;
/////////////////////////////////////////////////////////////////////////////
// CNewDataFile dialog


CNewDataFile::CNewDataFile(CWnd* pParent /*=NULL*/)
	: CDialog(CNewDataFile::IDD, pParent)
{
	//{{AFX_DATA_INIT(CNewDataFile)
	m_data_file = _T("");
	//}}AFX_DATA_INIT
}


void CNewDataFile::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CNewDataFile)
	DDX_Text(pDX, IDC_DATA_FILE, m_data_file);
	DDV_MaxChars(pDX, m_data_file, 80);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CNewDataFile, CDialog)
	//{{AFX_MSG_MAP(CNewDataFile)
	ON_BN_CLICKED(IDC_BROWSE1, OnBrowse1)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CNewDataFile message handlers
BOOL CNewDataFile::OnInitDialog() 
{
	CDialog::OnInitDialog();

	SetDlgItemText(IDC_DATA_FILE, d_file);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CNewDataFile::OnBrowse1() 
{
	UpdateData();
	CFileDialog getFile(TRUE, NULL,"*.*",NULL,"*.*");

	if (getFile.DoModal() == IDOK)
	{
		m_data_file = getFile.GetPathName();
		TRACE("OnBrowse1, %s\n", m_data_file);
	}	
	UpdateData(FALSE);
}

void CNewDataFile::OnOK() 
{
	UpdateData(TRUE);
	BOOL data;
	int flag = 1;

	data = pBApp->globals.IsValidFile(m_data_file);
	
	CString ErrMsg;
	CString name;
	if (!data) {
		flag = 0;
		AfxFormatString1(ErrMsg, IDS_ERR_INVALIDFILE, m_data_file);
		MessageBox (ErrMsg);
	}

	if (flag) {
		CDialog::OnOK();
	}
}
/////////////////////////////////////////////////////////////////////////////
// CNewTreeFile dialog


CNewTreeFile::CNewTreeFile(CWnd* pParent /*=NULL*/)
	: CDialog(CNewTreeFile::IDD, pParent)
{
	//{{AFX_DATA_INIT(CNewTreeFile)
	m_tree_file = _T("");
	//}}AFX_DATA_INIT
}


void CNewTreeFile::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CNewTreeFile)
	DDX_Text(pDX, IDC_TREE_FILE, m_tree_file);
	DDV_MaxChars(pDX, m_tree_file, 80);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CNewTreeFile, CDialog)
	//{{AFX_MSG_MAP(CNewTreeFile)
	ON_BN_CLICKED(IDC_BROWSE1, OnBrowse1)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CNewTreeFile message handlers
BOOL CNewTreeFile::OnInitDialog() 
{
	CDialog::OnInitDialog();

	SetDlgItemText(IDC_TREE_FILE, t_file);

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CNewTreeFile::OnBrowse1() 
{
	UpdateData();
	CFileDialog getFile(TRUE, NULL,"*.*",NULL,"*.*");

	if (getFile.DoModal() == IDOK)	{
		m_tree_file = getFile.GetPathName();
		TRACE("OnBrowse1, %s\n", m_tree_file);
	}	
	UpdateData(FALSE);
}

void CNewTreeFile::OnOK() 
{
	UpdateData(TRUE);
	BOOL tree;
	int flag = 1;
	CString tmp;
	
	tmp = m_tree_file;
	tmp.MakeLower();

	if (strcmp(tmp,"random") == 0) {
		tree = TRUE;
		pBApp->globals.init_tree = 0;
	}
	else tree = pBApp->globals.IsValidFile(m_tree_file);

	CString ErrMsg;
	CString name;
	
	if(!tree) {
		flag = 0;
		AfxFormatString1(ErrMsg, IDS_ERR_INVALIDFILE, m_tree_file);
		MessageBox (ErrMsg);
	}
	
	if (flag) {
		CDialog::OnOK();
	}
}

void GetNewDataName(CString& name)
{
	CNewDataFile getdata;
	d_file = name;

	getdata.DoModal();
	name = getdata.m_data_file;
	TRACE("in GetNewFileName name = %s\n", name);	
}

void GetNewTreeName(CString& name)
{
	CNewTreeFile gettree;
	t_file = name;

	gettree.DoModal();
	name = gettree.m_tree_file;
	TRACE("in GetNewFileName name = %s\n", name);
}
