// THEFrm.cpp : implementation of the CTHETAFrame class
//

#include "stdafx.h"
#include "BAMBE.h"

#include "THEFrm.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

extern CBAMBEApp* pBApp;
/////////////////////////////////////////////////////////////////////////////
// CTHETAFrame

IMPLEMENT_DYNCREATE(CTHETAFrame, CMDIChildWnd)

BEGIN_MESSAGE_MAP(CTHETAFrame, CMDIChildWnd)
	//{{AFX_MSG_MAP(CTHETAFrame)
	ON_WM_SIZE()
	ON_WM_SETFOCUS()
	ON_WM_MOVE()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CTHETAFrame construction/destruction

CTHETAFrame::CTHETAFrame()
{
}

CTHETAFrame::~CTHETAFrame()
{
}

BOOL CTHETAFrame::PreCreateWindow(CREATESTRUCT& cs)
{
	LONG height, width;
	RECT crect;
	BOOL isOk = ::SystemParametersInfo(SPI_GETWORKAREA, 0, &crect, 0);
	if (isOk) {
		height = crect.bottom - crect.top;
		width = crect.right - crect.left;
	}

	int ydown = ::GetSystemMetrics(SM_CYMINIMIZED);
	int menusz = ::GetSystemMetrics(SM_CYMENU);

	if (isOk) {
		cs.cx = width / 2 - 5;
	}
	else cs.cx = 390;

	cs.cy = 220;

	cs.x = width / 2;		

	int mult = 2;	// no windows above it
	if (pBApp->globals.ShowKAP)	// one window above it
		mult = 3;

	if (height >= (220*2 + mult*ydown + menusz + 50))
			cs.y = 220 + mult*ydown;	
	else 
		cs.y = crect.bottom - menusz - 50 - (220 + 2 * ydown);

//	cs.style &= ~WS_SIZEBOX;  //turns off the sizing option
	cs.style &= ~WS_MAXIMIZEBOX;  //turns off the maximize box

	return CMDIChildWnd::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// CTHETAFrame diagnostics

#ifdef _DEBUG
void CTHETAFrame::AssertValid() const
{
	CMDIChildWnd::AssertValid();
}

void CTHETAFrame::Dump(CDumpContext& dc) const
{
	CMDIChildWnd::Dump(dc);
}

#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CTHETAFrame message handlers

void CTHETAFrame::OnSize(UINT nType, int cx, int cy) 
{
	CMDIChildWnd::OnSize(nType, cx, cy);
	pBApp->globals.UpdateAllWins();	
}

void CTHETAFrame::OnSetFocus(CWnd* pOldWnd) 
{
	CMDIChildWnd::OnSetFocus(pOldWnd);
	if (pBApp->globals.THETAOpen)
		::PostMessage(pBApp->globals.g_THETAHwnd, WM_USERINVALTHETA, 0,0);
	
}

void CTHETAFrame::OnMove(int x, int y) 
{
	CMDIChildWnd::OnMove(x, y);
	pBApp->globals.UpdateAllWins();	
}
