// TNPage.cpp : implementation file
//

#include "stdafx.h"
#include "BAMBE.h"
#include "TNPage.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

extern CBAMBEApp* pBApp;

UINT idc_init_ttp[10] = {IDC_INIT_TTP1, IDC_INIT_TTP2, IDC_INIT_TTP3,
	IDC_INIT_TTP4, IDC_INIT_TTP5, IDC_INIT_TTP6, IDC_INIT_TTP7,
	IDC_INIT_TTP8, IDC_INIT_TTP9, IDC_INIT_TTP10};

UINT idc_init_gamma[10] = {IDC_INIT_GAMMA1, IDC_INIT_GAMMA2, IDC_INIT_GAMMA3,
	IDC_INIT_GAMMA4, IDC_INIT_GAMMA5, IDC_INIT_GAMMA6, IDC_INIT_GAMMA7,
	IDC_INIT_GAMMA8, IDC_INIT_GAMMA9, IDC_INIT_GAMMA10};

/////////////////////////////////////////////////////////////////////////////
// CTNPage dialog

static DWORD aTNHelpIDs[] = 
{
	IDC_INIT_TTP1, HIDD_INIT_TTP,
	IDC_INIT_TTP2, HIDD_INIT_TTP,
	IDC_INIT_TTP3, HIDD_INIT_TTP,
	IDC_INIT_TTP4, HIDD_INIT_TTP,
	IDC_INIT_TTP5, HIDD_INIT_TTP,
	IDC_INIT_TTP6, HIDD_INIT_TTP,
	IDC_INIT_TTP7, HIDD_INIT_TTP,
	IDC_INIT_TTP8, HIDD_INIT_TTP,
	IDC_INIT_TTP9, HIDD_INIT_TTP,
	IDC_INIT_TTP10, HIDD_INIT_TTP,
	IDC_INIT_GAMMA1, HIDD_INIT_GAMMA,
	IDC_INIT_GAMMA2, HIDD_INIT_GAMMA,
	IDC_INIT_GAMMA3, HIDD_INIT_GAMMA,
	IDC_INIT_GAMMA4, HIDD_INIT_GAMMA,
	IDC_INIT_GAMMA5, HIDD_INIT_GAMMA,
	IDC_INIT_GAMMA6, HIDD_INIT_GAMMA,
	IDC_INIT_GAMMA7, HIDD_INIT_GAMMA,
	IDC_INIT_GAMMA8, HIDD_INIT_GAMMA,
	IDC_INIT_GAMMA9, HIDD_INIT_GAMMA,
	IDC_INIT_GAMMA10, HIDD_INIT_GAMMA,
	IDC_BACK, HIDD_DIALOG_BACK,
	IDC_NEXT, HIDD_DIALOG_NEXT,
	IDCANCEL, HIDD_DIALOG_CANCEL,
	0, 0
};

CTNPage::CTNPage(CWnd* pParent /*=NULL*/)
	: CDialog(CTNPage::IDD, pParent)
{
	//{{AFX_DATA_INIT(CTNPage)
	m_init_gamma1 = 1.0;
	m_init_gamma10 = 1.0;
	m_init_gamma2 = 1.0;
	m_init_gamma3 = 1.0;
	m_init_gamma4 = 1.0;
	m_init_gamma5 = 1.0;
	m_init_gamma6 = 1.0;
	m_init_gamma7 = 1.0;
	m_init_gamma8 = 1.0;
	m_init_gamma9 = 1.0;
	m_init_ttp1 = 1.0;
	m_init_ttp10 = 1.0;
	m_init_ttp2 = 1.0;
	m_init_ttp3 = 1.0;
	m_init_ttp4 = 1.0;
	m_init_ttp5 = 1.0;
	m_init_ttp6 = 1.0;
	m_init_ttp7 = 1.0;
	m_init_ttp8 = 1.0;
	m_init_ttp9 = 1.0;
	//}}AFX_DATA_INIT
}

void CTNPage::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CTNPage)
	DDX_Text(pDX, IDC_INIT_GAMMA1, m_init_gamma1);
	DDX_Text(pDX, IDC_INIT_GAMMA10, m_init_gamma10);
	DDX_Text(pDX, IDC_INIT_GAMMA2, m_init_gamma2);
	DDX_Text(pDX, IDC_INIT_GAMMA3, m_init_gamma3);
	DDX_Text(pDX, IDC_INIT_GAMMA4, m_init_gamma4);
	DDX_Text(pDX, IDC_INIT_GAMMA5, m_init_gamma5);
	DDX_Text(pDX, IDC_INIT_GAMMA6, m_init_gamma6);
	DDX_Text(pDX, IDC_INIT_GAMMA7, m_init_gamma7);
	DDX_Text(pDX, IDC_INIT_GAMMA8, m_init_gamma8);
	DDX_Text(pDX, IDC_INIT_GAMMA9, m_init_gamma9);
	DDX_Text(pDX, IDC_INIT_TTP1, m_init_ttp1);
	DDX_Text(pDX, IDC_INIT_TTP10, m_init_ttp10);
	DDX_Text(pDX, IDC_INIT_TTP2, m_init_ttp2);
	DDX_Text(pDX, IDC_INIT_TTP3, m_init_ttp3);
	DDX_Text(pDX, IDC_INIT_TTP4, m_init_ttp4);
	DDX_Text(pDX, IDC_INIT_TTP5, m_init_ttp5);
	DDX_Text(pDX, IDC_INIT_TTP6, m_init_ttp6);
	DDX_Text(pDX, IDC_INIT_TTP7, m_init_ttp7);
	DDX_Text(pDX, IDC_INIT_TTP8, m_init_ttp8);
	DDX_Text(pDX, IDC_INIT_TTP9, m_init_ttp9);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CTNPage, CDialog)
	//{{AFX_MSG_MAP(CTNPage)
	ON_BN_CLICKED(IDC_BACK, OnBack)
	ON_BN_CLICKED(IDC_NEXT, OnNext)
	ON_WM_CONTEXTMENU()
	ON_WM_HELPINFO()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CTNPage message handlers

void CTNPage::OnBack() 
{
	if (!UpdateData(TRUE))
	{
		TRACE0("UpdateData failed during TNPage dialog termination.\n");
		// the UpdateData routine will set focus to correct item
		return;
	}

	EndDialog(IDC_BACK);		
}

void CTNPage::OnNext() 
{
	UpdateData();

	CString ErrMsg;
	CString name;
	int flag = 1;
	
	if (m_init_ttp1 <= 0) {
		flag = 0;
		name = "Initial TTP 1";
		AfxFormatString1(ErrMsg, IDS_ERR_NONPOSITIVE, name);
		MessageBox (ErrMsg);
	}
	if (m_init_ttp2 <= 0) {
		flag = 0;
		name = "Initial TTP 2";
		AfxFormatString1(ErrMsg, IDS_ERR_NONPOSITIVE, name);
		MessageBox (ErrMsg);
	}
	if (m_init_ttp3 <= 0) {
		flag = 0;
		name = "Initial TTP 3";
		AfxFormatString1(ErrMsg, IDS_ERR_NONPOSITIVE, name);
		MessageBox (ErrMsg);
	}
	if (m_init_ttp4 <= 0) {
		flag = 0;
		name = "Initial TTP 4";
		AfxFormatString1(ErrMsg, IDS_ERR_NONPOSITIVE, name);
		MessageBox (ErrMsg);
	}
	if (m_init_ttp5 <= 0) {
		flag = 0;
		name = "Initial TTP 5";
		AfxFormatString1(ErrMsg, IDS_ERR_NONPOSITIVE, name);
		MessageBox (ErrMsg);
	}
	if (m_init_ttp6 <= 0) {
		flag = 0;
		name = "Initial TTP 6";
		AfxFormatString1(ErrMsg, IDS_ERR_NONPOSITIVE, name);
		MessageBox (ErrMsg);
	}
	if (m_init_ttp7 <= 0) {
		flag = 0;
		name = "Initial TTP 7";
		AfxFormatString1(ErrMsg, IDS_ERR_NONPOSITIVE, name);
		MessageBox (ErrMsg);
	}
	if (m_init_ttp8 <= 0) {
		flag = 0;
		name = "Initial TTP 8";
		AfxFormatString1(ErrMsg, IDS_ERR_NONPOSITIVE, name);
		MessageBox (ErrMsg);
	}
	if (m_init_ttp9 <= 0) {
		flag = 0;
		name = "Initial TTP 9";
		AfxFormatString1(ErrMsg, IDS_ERR_NONPOSITIVE, name);
		MessageBox (ErrMsg);
	}
	if (m_init_ttp10 <= 0) {
		flag = 0;
		name = "Initial TTP 10";
		AfxFormatString1(ErrMsg, IDS_ERR_NONPOSITIVE, name);
		MessageBox (ErrMsg);
	}

	if (m_init_gamma1 <= 0) {
		flag = 0;
		name = "Initial Gamma 1";
		AfxFormatString1(ErrMsg, IDS_ERR_NONPOSITIVE, name);
		MessageBox (ErrMsg);
	}	
	if (m_init_gamma2 <= 0) {
		flag = 0;
		name = "Initial Gamma 2";
		AfxFormatString1(ErrMsg, IDS_ERR_NONPOSITIVE, name);
		MessageBox (ErrMsg);
	}	
	if (m_init_gamma3 <= 0) {
		flag = 0;
		name = "Initial Gamma 3";
		AfxFormatString1(ErrMsg, IDS_ERR_NONPOSITIVE, name);
		MessageBox (ErrMsg);
	}	
	if (m_init_gamma4 <= 0) {
		flag = 0;
		name = "Initial Gamma 4";
		AfxFormatString1(ErrMsg, IDS_ERR_NONPOSITIVE, name);
		MessageBox (ErrMsg);
	}	
	if (m_init_gamma5 <= 0) {
		flag = 0;
		name = "Initial Gamma 5";
		AfxFormatString1(ErrMsg, IDS_ERR_NONPOSITIVE, name);
		MessageBox (ErrMsg);
	}	
	if (m_init_gamma6 <= 0) {
		flag = 0;
		name = "Initial Gamma 6";
		AfxFormatString1(ErrMsg, IDS_ERR_NONPOSITIVE, name);
		MessageBox (ErrMsg);
	}	
	if (m_init_gamma7 <= 0) {
		flag = 0;
		name = "Initial Gamma 7";
		AfxFormatString1(ErrMsg, IDS_ERR_NONPOSITIVE, name);
		MessageBox (ErrMsg);
	}	
	if (m_init_gamma8 <= 0) {
		flag = 0;
		name = "Initial Gamma 8";
		AfxFormatString1(ErrMsg, IDS_ERR_NONPOSITIVE, name);
		MessageBox (ErrMsg);
	}	
	if (m_init_gamma9 <= 0) {
		flag = 0;
		name = "Initial Gamma 9";
		AfxFormatString1(ErrMsg, IDS_ERR_NONPOSITIVE, name);
		MessageBox (ErrMsg);
	}	
	if (m_init_gamma10 <= 0) {
		flag = 0;
		name = "Initial Gamma 10";
		AfxFormatString1(ErrMsg, IDS_ERR_NONPOSITIVE, name);
		MessageBox (ErrMsg);
	}	

	if (flag) {
		CDialog::OnOK();
	}	
}

void CTNPage::GetInfoTNPage()
{
	pBApp->globals.input_ttp[0] = m_init_ttp1;
	pBApp->globals.input_ttp[1] = m_init_ttp2;
	pBApp->globals.input_ttp[2] = m_init_ttp3;
	pBApp->globals.input_ttp[3] = m_init_ttp4;
	pBApp->globals.input_ttp[4] = m_init_ttp5;
	pBApp->globals.input_ttp[5] = m_init_ttp6;
	pBApp->globals.input_ttp[6] = m_init_ttp7;
	pBApp->globals.input_ttp[7] = m_init_ttp8;
	pBApp->globals.input_ttp[8] = m_init_ttp9;
	pBApp->globals.input_ttp[9] = m_init_ttp10;
	
	pBApp->globals.input_gamma[0] = m_init_gamma1;
	pBApp->globals.input_gamma[1] = m_init_gamma2;
	pBApp->globals.input_gamma[2] = m_init_gamma3;
	pBApp->globals.input_gamma[3] = m_init_gamma4;
	pBApp->globals.input_gamma[4] = m_init_gamma5;
	pBApp->globals.input_gamma[5] = m_init_gamma6;
	pBApp->globals.input_gamma[6] = m_init_gamma7;
	pBApp->globals.input_gamma[7] = m_init_gamma8;
	pBApp->globals.input_gamma[8] = m_init_gamma9;
	pBApp->globals.input_gamma[9] = m_init_gamma10;
}


void CTNPage::SetDefaultValues()
{
	m_init_gamma1 = 1.0;
	m_init_gamma10 = 1.0;
	m_init_gamma2 = 1.0;
	m_init_gamma3 = 1.0;
	m_init_gamma4 = 1.0;
	m_init_gamma5 = 1.0;
	m_init_gamma6 = 1.0;
	m_init_gamma7 = 1.0;
	m_init_gamma8 = 1.0;
	m_init_gamma9 = 1.0;
	m_init_ttp1 = 1.0;
	m_init_ttp10 = 1.0;
	m_init_ttp2 = 1.0;
	m_init_ttp3 = 1.0;
	m_init_ttp4 = 1.0;
	m_init_ttp5 = 1.0;
	m_init_ttp6 = 1.0;
	m_init_ttp7 = 1.0;
	m_init_ttp8 = 1.0;
	m_init_ttp9 = 1.0;
}

void CTNPage::SetChangedValues()
{
	m_init_gamma1 = pBApp->globals.input_gamma[0];
	m_init_gamma10 = pBApp->globals.input_gamma[9];
	m_init_gamma2 = pBApp->globals.input_gamma[1];
	m_init_gamma3 = pBApp->globals.input_gamma[2];
	m_init_gamma4 = pBApp->globals.input_gamma[3];
	m_init_gamma5 = pBApp->globals.input_gamma[4];
	m_init_gamma6 = pBApp->globals.input_gamma[5];
	m_init_gamma7 = pBApp->globals.input_gamma[6];
	m_init_gamma8 = pBApp->globals.input_gamma[7];
	m_init_gamma9 = pBApp->globals.input_gamma[8];

	m_init_ttp1 = pBApp->globals.input_ttp[0];
	m_init_ttp10 = pBApp->globals.input_ttp[9];
	m_init_ttp2 = pBApp->globals.input_ttp[1];
	m_init_ttp3 = pBApp->globals.input_ttp[2];
	m_init_ttp4 = pBApp->globals.input_ttp[3];
	m_init_ttp5 = pBApp->globals.input_ttp[4];
	m_init_ttp6 = pBApp->globals.input_ttp[5];
	m_init_ttp7 = pBApp->globals.input_ttp[6];
	m_init_ttp8 = pBApp->globals.input_ttp[7];
	m_init_ttp9 = pBApp->globals.input_ttp[8];
}

BOOL CTNPage::OnInitDialog() 
{
	if (pBApp->globals.IsChange) 
		SetChangedValues();
//	else SetDefaultValues();

	CDialog::OnInitDialog();
	
	DisableInits(idc_init_ttp, TRUE);	
	DisableInits(idc_init_gamma, TRUE);

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CTNPage::DisableInits(UINT *pInits, BOOL IsKappa)
{
	CWnd* ed;
	for (UINT i = 0; i < 10; i++) {
		ed = GetDlgItem(pInits[i]);
		if (ed) {
			ed->EnableWindow(FALSE);
		}
	}
	UINT end = pBApp->globals.num_tags;
	if (IsKappa && pBApp->globals.single_kappa)
		end = 1;

	for(i = 0; i < end; i++) {
		ed = GetDlgItem(pInits[pBApp->globals.categories[i]-1]);
		if(ed) {
			ed->EnableWindow(TRUE);
		}
	}
}

/* Old Version
void CTNPage::DisableInits(UINT *pInits, BOOL IsKappa)
{
	int begin = num_categories;

	if (IsKappa && single_kappa)
		begin = 1;

	for (UINT i = begin; i < 10; i++) {
		CWnd* ed = GetDlgItem(pInits[i]);
		if (ed) {
			ed->EnableWindow(FALSE);
		}
	}
}
*/

void CTNPage::OnContextMenu(CWnd* pWnd, CPoint point) 
{
	::WinHelp((HWND) *pWnd, AfxGetApp()->m_pszHelpFilePath,
		HELP_CONTEXTMENU, (DWORD)aTNHelpIDs);
}

BOOL CTNPage::OnHelpInfo(HELPINFO* pHelpInfo) 
{
	if (pHelpInfo->iContextType == HELPINFO_WINDOW){
	::WinHelp((HWND)pHelpInfo->hItemHandle, 
		AfxGetApp()->m_pszHelpFilePath,
		HELP_WM_HELP, (DWORD)aTNHelpIDs);
	}
	return TRUE;
}
