// TopFrm.cpp : implementation of the CTopFrame class
//

#include "stdafx.h"
#include "BAMBE.h"

#include "TopFrm.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

extern CBAMBEApp* pBApp;
/////////////////////////////////////////////////////////////////////////////
// CTopFrame

IMPLEMENT_DYNCREATE(CTopFrame, CMDIChildWnd)

BEGIN_MESSAGE_MAP(CTopFrame, CMDIChildWnd)
	//{{AFX_MSG_MAP(CTopFrame)
	ON_WM_MOVE()
	ON_WM_SETFOCUS()
	ON_WM_SIZE()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CTopFrame construction/destruction

CTopFrame::CTopFrame()
{
	// TODO: add member initialization code here
	
}

CTopFrame::~CTopFrame()
{
}

 BOOL CTopFrame::PreCreateWindow(CREATESTRUCT& cs)
{
	//int xwidth = ::GetSystemMetrics(SM_CXSCREEN);

	LONG height, width;
	RECT crect;
	BOOL isOk = ::SystemParametersInfo(SPI_GETWORKAREA, 0, &crect, 0);
	if (isOk) {
		height = crect.bottom - crect.top;
		width = crect.right - crect.left;
	}

	int ydown = ::GetSystemMetrics(SM_CYMINIMIZED);
	int menusz = ::GetSystemMetrics(SM_CYMENU);

	if (isOk) {
		cs.cy = height - (ydown * 2) - 50 - menusz;	// 40 for the toolbar
		cs.cx = width / 2;
	}
	else {
		cs.cy = 460;
		cs.cx = 400;
	}

	cs.x = 0;
	cs.y = 0;
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CMDIChildWnd::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// CTopFrame diagnostics

#ifdef _DEBUG
void CTopFrame::AssertValid() const
{
	CMDIChildWnd::AssertValid();
}

void CTopFrame::Dump(CDumpContext& dc) const
{
	CMDIChildWnd::Dump(dc);
}

#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CTopFrame message handlers

void CTopFrame::OnMove(int x, int y) 
{
	CMDIChildWnd::OnMove(x, y);
	pBApp->globals.UpdateAllWins();	
}

void CTopFrame::OnSetFocus(CWnd* pOldWnd) 
{
	CMDIChildWnd::OnSetFocus(pOldWnd);
	if (pBApp->globals.TopOpen)
		::PostMessage(pBApp->globals.g_TopHwnd, WM_USERINVALTOP, 0,0);
}

void CTopFrame::OnSize(UINT nType, int cx, int cy) 
{
	CMDIChildWnd::OnSize(nType, cx, cy);
	pBApp->globals.UpdateAllWins();
}
