#if !defined(AFX_TUNINGPARAM_H__71B73180_1293_11D3_B295_006097D55B13__INCLUDED_)
#define AFX_TUNINGPARAM_H__71B73180_1293_11D3_B295_006097D55B13__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// TuningParam.h : header file
//

#define HIDD_DIALOG_NEXT 8
#define HIDD_DIALOG_CANCEL 9
#define HIDD_DIALOG_BACK 10

#define HIDD_DELTA 19
#define HIDD_KAPPADELTA 21

#define HIDD_THETA_CONST 36
#define HIDD_PI_CONST 37

#define HIDC_GAMMA_TUNE 64
#define HIDC_TTP_TUNE 65

/////////////////////////////////////////////////////////////////////////////
// CTuningParam dialog

class CTuningParam : public CDialog
{
// Construction
public:
	CTuningParam(CWnd* pParent = NULL);   // standard constructor
	void GetInfoTuningParam();

// Dialog Data
	//{{AFX_DATA(CTuningParam)
	enum { IDD = IDD_PROP_TUNING_PARAM };
	double	m_initial_kappa_delta;
	double	m_initial_delta;
	double	m_theta_const;
	double	m_pi_const;
	double	m_ttp_tune;
	double	m_gamma_tune;
	double	m_beta_tune;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTuningParam)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CTuningParam)
	virtual void OnOK();
	afx_msg void OnBack();
	afx_msg void OnClickedOk();
	virtual BOOL OnInitDialog();
	afx_msg void OnContextMenu(CWnd* pWnd, CPoint point);
	afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	void SetDefaultValues();
	void SetChangedValues();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TUNINGPARAM_H__71B73180_1293_11D3_B295_006097D55B13__INCLUDED_)
