void Swap(double dat[], int i, int j)
{
	double t = dat[i];
	dat[i] = dat[j];
	dat[j] = t;
}

void QSort (double data[], int left, int right)
{
	int i, last; 

	if (left >= right)
		return;

	Swap(data, left, (left+right)/2);
	last = left;
	for(i = left+1; i <= right; i++)
		if (data[i] < data[left])
			 Swap(data,++last, i);

	Swap(data,left, last);
	QSort(data,left, last-1);
	QSort(data,last+1,right);
}


